return function(PaintMode)

-- TODO: verify that there aren't any in this list that will cause problems.
PaintMode.normal            = PaintMode.get(0)
PaintMode.multiply          = PaintMode.get(1)
PaintMode.screen            = PaintMode.get(2)
PaintMode.overlay           = PaintMode.get(3)
PaintMode.darken            = PaintMode.get(4)
PaintMode.lighten           = PaintMode.get(5)
PaintMode.colorDodge        = PaintMode.get(6)
PaintMode.colorBurn         = PaintMode.get(7)
PaintMode.softLight         = PaintMode.get(8)
PaintMode.hardLight         = PaintMode.get(9)
PaintMode.difference        = PaintMode.get(10)
PaintMode.exclusion         = PaintMode.get(11)
PaintMode.hue               = PaintMode.get(12)
PaintMode.saturation        = PaintMode.get(13)
PaintMode.color             = PaintMode.get(14)
PaintMode.luminosity        = PaintMode.get(15)
PaintMode.clear             = PaintMode.get(16)
PaintMode.copy              = PaintMode.get(17)
PaintMode.sourceIn          = PaintMode.get(18)
PaintMode.sourceOut         = PaintMode.get(19)
PaintMode.sourceAtop        = PaintMode.get(20)
PaintMode.destinationOver   = PaintMode.get(21)
PaintMode.destinationIn     = PaintMode.get(22)
PaintMode.destinationOut    = PaintMode.get(23)
PaintMode.destinationAtop   = PaintMode.get(24)
PaintMode.xor               = PaintMode.get(25)
PaintMode.plusDarker        = PaintMode.get(26)
PaintMode.plusLighter       = PaintMode.get(27)

PaintMode.get = nil

end
